/*
author: Martin Robinson
title:  object in space
goal:   support collision detection
using:  point.hpp

todo:   add shape


====================================
preprocessor
*/

#pragma once
#ifndef _OBJ
#define _OBJ

#include <iostream>
using namespace std;

#include "point.hpp"

//class

class obj{
    point _position;
    float _radius;
public:
    //constructor
    obj();
    obj(const point& pos, float radius);
    //getter
    const point& position()const;
    float radius()const;
    float radiusSQ()const;
    bool collide(const point& pos)const;
    bool collide(const obj& other)const;
    //mutator
    
    
    //print out
    friend ostream& operator << (ostream& out, obj& p);
    friend istream& operator >> (istream& in, obj& p);
};



#endif
