#include <iostream>
#include <fstream>
#include <string>
#include <vector>
using namespace std;

#include "point.hpp"
#include "obj.hpp"


//test du point
void testPoint()
{
    point a(1,1,1),
          b(a),
          c = a;
    cout <<"a "<< a << endl;
    cout <<"b "<< b << endl;
    cout <<"c "<< c << endl;
    
    cout << "translate A of +3 on Y" << endl;
    a = a + point(0,3,0);
    cout << "now a is " << a << endl;
    
    cout << "scale/zoom B by factor of 0.7071" << endl;
    b = b*0.7071;
    cout << "now b is " << b << endl;
    
    cout << "rotate b by 45 degree (pi/4) around Z axis" << endl;
    b = b.rotZ(pi/4);
    cout << "now b is " << b << endl;
}

//test d'objet , et ebauche de traitement de fichier
vector<obj> testObj()
{
    vector<obj> o;
    string key;
    int n=0;
    ifstream myfile("../test.txt");

    while(myfile)
    {
        myfile >> key;
        if (key[0] != '#' && key.compare("[obj]")==0)
        {
            myfile >> n;
            for (int i=0;i<n;i++)
            {
                obj tmp;
                myfile >> tmp;
                o.push_back(tmp);
            }
        }
    }

    myfile.close();
    
    
    for(int i = 0; i<o.size(); i++)
        cout << "no." << i << ":" << o[i] << endl;
    
    for(int i = 0; i<o.size(); i++)
        for(int j = 0; j<o.size(); j++)
            if (i!=j)
                if (o[i].collide(o[j]))
                    cout << "no." << i
                         << " collide with no." << j << endl;
                else
                    cout << "no." << i
                         << " does not collide with no." << j << endl;
                         
    return o;
}




